gr::funcube::fcd_impl Class Reference

`#include <fcd_impl.h>`

Inheritance diagram for gr::funcube::fcd_impl:

## Public Member Functions

| fcd_impl (const std::string device_name="")
| ~fcd_impl ()
void | set_freq (double freq) override
| Set frequency with Hz resolution.
void | set_lna_gain (float gain) override
| Set LNA gain.
void | set_mixer_gain (float gain) override
| Set mixer gain.
void | set_freq_corr (double ppm) override
| Set new frequency correction.
void | set_dc_corr (double _dci, double _dcq) override
| Set DC offset correction.
void | set_iq_corr (double _gain, double _phase) override
| Set IQ phase and gain balance.

## Additional Inherited Members

Public Types inherited from gr::funcube::fcd
typedef std::shared_ptr< fcd > | sptr
Static Public Member Functions inherited from gr::funcube::fcd
static sptr | make (const std::string device_name="")
| Return a shared_ptr to a new instance of funcube::fcd.

## Constructor & Destructor Documentation

## fcd_impl()

gr::funcube::fcd_impl::fcd_impl | ( | const std::string | device_name = "" | ) |

## ~fcd_impl()

gr::funcube::fcd_impl::~fcd_impl | ( |  | ) |

## Member Function Documentation

## set_dc_corr()

void gr::funcube::fcd_impl::set_dc_corr | ( | double | _dci,
|  | double | _dcq )

override virtual

Set DC offset correction.

Parameters

  _dci | DC correction for I component (-1.0 to 1.0)
  _dcq | DC correction for Q component (-1.0 to 1.0)

Set DC offset correction in the device. Default is 0.0.

Implements gr::funcube::fcd.

## set_freq()

void gr::funcube::fcd_impl::set_freq | ( | double | freq | ) |

override virtual

Set frequency with Hz resolution.

Parameters

  freq | The frequency in Hz

This is a convenience function that uses float parameter in order to allow using engineering notation in GRC.

Implements gr::funcube::fcd.

## set_freq_corr()

void gr::funcube::fcd_impl::set_freq_corr | ( | double | ppm | ) |

override virtual

Set new frequency correction.

Parameters

  ppm | The new frequency correction in parts per million

Version 1.1 FCDs (S/N 810 or later) need a correction of -12 ppm. Earlier FCDs need roughly -120 ppm (default for gr-fcd).

Ref: http://www.funcubedongle.com/?p=617

Implements gr::funcube::fcd.

## set_iq_corr()

void gr::funcube::fcd_impl::set_iq_corr | ( | double | _gain,
|  | double | _phase )

override virtual

Set IQ phase and gain balance.

Parameters

  _gain | The gain correction (-1.0 to 1.0)
  _phase | The phase correction (-1.0 to 1.0)

Set IQ phase and gain balance in the device. The default values are 0.0 for phase and 1.0 for gain.

Implements gr::funcube::fcd.

## set_lna_gain()

void gr::funcube::fcd_impl::set_lna_gain | ( | float | gain | ) |

override virtual

Set LNA gain.

Parameters

  gain | The new gain in dB.

Set the LNA gain in the FCD. Valid range is -5 to

1. Although the LNA gain in the FCD takes enumerated values corresponding to 2.5 dB steps, you can can call this method with any float value and it will be rounded to the nearest valid value.

By default the LNA gain is set to 20 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain.

Implements gr::funcube::fcd.

## set_mixer_gain()

void gr::funcube::fcd_impl::set_mixer_gain | ( | float | gain | ) |

override virtual

Set mixer gain.

Parameters

  gain | The new gain in dB.

Set the mixer gain in the FCD. Valid values are +4 and +12 dB.

By default the mixer gain is set to +12 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain.

Implements gr::funcube::fcd.

The documentation for this class was generated from the following file:

- fcd_impl.h